// Person.cpp: implementation of the Person class.
//
//////////////////////////////////////////////////////////////////////

#include "Person.h"
#include <exception>
using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


const float poundsPerKilo = 2.2;

Person::Person(string name_arg,
			   int age_arg,
			   string gender_arg,
			   float weight_arg /* in pounds */,
			   float height_arg)
			   : name(name_arg), age(age_arg), height(height_arg)
{
//	name = name_arg;
//	age = age_arg;
	if (gender_arg == "male" || gender_arg == "female")
		gender = gender_arg;
	else
		throw exception("Gender must be male or female!");

//	height = height_arg;
	setWeight (weight_arg);
}


Person::~Person()
{

}

int Person::getAge(void) const
{
	return age;
}

string Person::getGender(void) const
{
	return gender;
}

float Person::getHeight(void) const
{
	return height;
}

float Person::getWeight(void) const
{
	return weight * poundsPerKilo;
}

string Person::getName(void) const
{
	return name;
}

void Person::setWeight(float newWeight)
{
	weight = newWeight / poundsPerKilo;
}

void Person::birthday(void) 
{
	age++;
}


bool Person::isTall(void) const
{
	if (gender == "male")
		return height > 72;
	else 
		return height > 68;
}
